com.singularsys.jeptests.system

## Class PostfixEvalTest

- java.lang.Object
- - com.singularsys.jeptests.system.JepTest
  - - com.singularsys.jeptests.system.PostfixEvalTest

-     public class PostfixEvalTest
      extends JepTest

- - ### Field Summary

    - ### Fields inherited from class com.singularsys.jeptests.system.JepTest

      `jep, myFalse, myTrue, PRINT_RESULTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PostfixEvalTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setUp()` Sets up the parser.
    `void` | `testCaseNull()`
    `void` | `testNull()`
    `void` | `testPostfixBug()`
    `void` | `testSetAllowUndeclared()` Tests whether allowUndeclared is working properly.

    - ### Methods inherited from class com.singularsys.jeptests.system.JepTest

      `assertEqNodes, buildMatrix, buildVector, calcValue, calcValue, checkVector, compareRecursive, complexValueTest, myAssertEquals, myAssertNaN, myAssertNull, negativeZero, nodeTest, nodeTest, nodeTest, nodeTest, printTestHeader, testAssign, testBinom, testBlankParser, testCaseString, testChangeVariable, testChangeVariableComplex, testComments, testComplex, testEmptyEqn, testEmptyEqn2, testEvalExceptions, testEvaluate, testEvaluateComplex, testEvaluateString, testExpectedTokenSequence, testFormat, testFunction, testIf, testImplicitMul, testLazyLogical, testLazyLogical2, testLazyLogicalBug, testListAccess, testListExtra, testListFunctions, testLogarithm, testLogical, testMacroFunction, testMultiDimArray, testMultiLine, testMultiplyBug, testNaN, testNoAssign, testNumberAsBooleanLogical, testNumbers, testNumParam, testParseException, testPlusPlus, testRecursiveMacroFunction, testSemiColon, testSimpleSum, testSpecialFunctions, testSpecialFunctions, testStrings, testStringsFun, testSwitch, testUminusPower, testX2Y, valueTest, valueTest, valueTestFail, valueTestNaN, valueTestNull, valueTestString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PostfixEvalTest

          public PostfixEvalTest()

  - ### Method Detail

    - #### setUp

          public void setUp()

      Description copied from class: `JepTest`
      Sets up the parser.
      Overrides:
        `setUp` in class `JepTest`

    - #### testSetAllowUndeclared

          public void testSetAllowUndeclared()
                                      throws java.lang.Exception

      Description copied from class: `JepTest`
      Tests whether allowUndeclared is working properly.
      Overrides:
        `testSetAllowUndeclared` in class `JepTest`
      Throws:
        `java.lang.Exception`

    - #### testPostfixBug

          public void testPostfixBug()
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testNull

          public void testNull()
                        throws java.lang.Exception

      Overrides:
        `testNull` in class `JepTest`
      Throws:
        `java.lang.Exception`

    - #### testCaseNull

          public void testCaseNull()
                            throws java.lang.Exception

      Overrides:
        `testCaseNull` in class `JepTest`
      Throws:
        `java.lang.Exception`

Copyright © 2018 Singular Systems http://www.singularsys.com/jep